Mulgara - Bug #130

Exception caused by language code
07/04/2008 01:26 PM - James -
Target version:

Resolution: fixed

Description

"abc"@de-latn-de is a valid literal, but causes an exception.

data-langMatches-de.ttl - sesame-spargl-testsuite/src/main/resources/testcases-dawg/data-r2/expr-b

uiltin

# data-langMatches-de.ttl
# $Id: data-langMatches-de.ttl,v 1.2 2007/08/11 18:30:56 eric Exp $

@prefix : <http://example.org/#>

:x :p3 "abc"@de

b

:pd4 "abc"@de-de

:x :pb5 "abc"@de-latn-de

org.openrdf.rio.RDFHandlerException: org.openrdf.repository.RepositoryException: org.openrdf.sail.
SailException: org.mulgara.query.QueryException: Could not commit modify
at org.openrdf.repository.util.RDFInserter.handleStatement (RDFInserter.java:200)

at org.openrdf.rio.turtle.TurtleParser.reportStatement (TurtleParser. java:967)

at org.openrdf.rio.turtle.TurtleParser.parseObject (TurtleParser.java:414)

at org.openrdf.rio.turtle.TurtleParser.parseObjectList (TurtleParser.java:337)

at org.openrdf.rio.turtle.TurtleParser.parsePredicateObjectList (TurtleParser. java:313)

at org.openrdf.rio.turtle.TurtleParser.parseTriples (TurtleParser.java:299)

at org.openrdf.rio.turtle.TurtleParser.parseStatement (TurtleParser. java:206)

at org.openrdf.rio.turtle.TurtleParser.parse (TurtleParser. java:184)

at org.openrdf.rio.turtle.TurtleParser.parse (TurtleParser. java:129)

at org.openrdf.query.parser.spargl.SPARQLQueryTest.upload (SPARQLQueryTest.java:347)

at org.openrdf.query.parser.sparqgl.SPARQLQueryTest.uploadDataset (SPARQLQueryTest. java:320)
at org.openrdf.query.parser.spargl.SPARQLQueryTest.setUp (SPARQLQueryTest.java:112)

at org.openrdf.sail.mulgara.MulgaraSparglTest.setUp (MulgaraSparglTest. java:54)

at junit.
at junit.
at junit.
at junit.
at junit.
at junit.
at junit.
at junit.
at junit.

framework.TestCase.runBare (TestCase.java:128)
framework.TestResult$l.protect (TestResult. java:106)
framework.TestResult.runProtected (TestResult. java:124)
framework.TestResult.run (TestResult.java:109)
framework.TestCase.run (TestCase. java:120)
framework.TestSuite.runTest (TestSuite. java:230)
framework.TestSuite.run (TestSuite. java:225)
framework.TestSuite.runTest (TestSuite.java:230)
framework.TestSuite.run (TestSuite. java:225)

at org.eclipse.jdt.internal.junit.runner.junit3.JUnit3TestReference.run (JUnit3TestReference. ja

va:130)

at org.eclipse.jdt.internal.junit.runner.TestExecution.run (TestExecution. java:38)

at org.eclipse.jdt.internal.junit.runner.RemoteTestRunner.runTests (RemoteTestRunner.java:460)

at org.eclipse.jdt.internal. junit.runner.RemoteTestRunner.runTests (RemoteTestRunner.java:673)

at org.eclipse.jdt.internal. junit.runner.RemoteTestRunner.run (RemoteTestRunner. java:386)

at org.eclipse.jdt.internal. junit.runner.RemoteTestRunner.main (RemoteTestRunner. java:196)

Caused by: org.openrdf.repository.RepositoryException: org.openrdf.sail.SailException: org.mulgara
.query.QueryException: Could not commit modify
at org.openrdf.repository.sail.SailRepositoryConnection.addWithoutCommit (SailRepositoryConnect

ion.java:229)

at org.openrdf.repository.base.RepositoryConnectionBase.add (RepositoryConnectionBase. java:412)
Caused by:
fy
at
org.
org.

openrdf.repository.base.RepositoryConnectionWrapper.add (RepositoryConnectionWrapper. jav

openrdf.repository.util.RDFInserter.handleStatement (RDFInserter. java:193)
more
org.openrdf.sail.SailException: org.mulgara.query.QueryException: Could not commit modi
openrdf.sail.mulgara.MulgaraConnection.addStatement (MulgaraConnection. java:191)

openrdf.repository.sail.SailRepositoryConnection.addWithoutCommit (SailRepositoryConnect

ion.java:226)

30

Caused by:
at org

at org.

at org

at org

at org.
Caused by:
at org
.java:488)
at org.

at org

35
by:
org

Caused
at
81)
at
at
at

org.
org.
org
org
by:
org

Caused
at
a:185)
at org.
va:173)
at org
56)
40
Caused by:

.mulgara.

.mulgara.
.openrdf.

.mulgara.
.mulgara.

more
org.mulgara.query.QueryException: Could not commit modify

resolver.DatabaseSession.execute (DatabaseSession. java:685)
.modify (DatabaseSession. java:659)

mulgara.resolver.DatabaseSession

resolver.DatabaseSession.insert (DatabaseSession. java:304)
sail.mulgara.MulgaraConnection.add (MulgaraConnection. java:320)
openrdf.sail.mulgara.MulgaraConnection.addStatement (MulgaraConnection. java:187)
more

org.mulgara.query.MulgaraTransactionException: Transaction rollback triggered

.mulgara.resolver.MulgaralnternalTransaction.implicitRollback (MulgaraInternalTransaction

mulgara.resolver.MulgaralnternalTransaction.execute (MulgaraInternalTransaction. java:581

.mulgara.resolver.DatabaseSession.execute (DatabaseSession. java:682)

more

org.mulgara.resolver.spi.ResolverException: Unable to read input statements

.mulgara.resolver.store.StatementStoreResolver.modifyModel (StatementStoreResolver. java:3

mulgara.resolver

mulgara.

.InternalResolver.modifyModel (InternalResolver. java:169)
resolver.ModifyModelOperation.doModify (ModifyModelOperation. java:248)
resolver.ModifyModelOperation.execute (ModifyModelOperation. java:209)
resolver.MulgaralnternalTransaction.execute (MulgaralInternalTransaction. java:577
more

org.mulgara.query.TuplesException: Failed to localize node

.mulgara.resolver.spi.TripleSetWrapperStatements.localize (TripleSetWrapperStatements. jav

mulgara.resolver.spi.TripleSetWrapperStatements.getObject (TripleSetWrapperStatements. ja

.mulgara.resolver.store.StatementStoreResolver.modifyModel (StatementStoreResolver. java:3

more

org.mulgara.resolver.spi.LocalizeException: Unable to localize "abc"@de-latn-de - Could

n't convert Node to SPObject

at org.

at org.

at org

.java:451)

at org
a:179)

42

Caused by:

.mulgara.

.mulgara.

mulgara.resolver

mulgara.

.StringPoolSession.localize (StringPoolSession.java:412)
resolver.StringPoolSession.localizePersistent (StringPoolSession. java:200)
resolver.store.StatementStoreResolver.localizePersistent (StatementStoreResolver

resolver.spi.TripleSetWrapperStatements.localize (TripleSetWrapperStatements. jav

more

java.lang.IllegalArgumentException: Invalid language code characters: de-latn-de

at org.mulgara.store.stringpool.xa.SPStringImpl.newSPObject (SPStringImpl. java:108)
at org.mulgara.store.stringpool.xa.SPObjectFactoryImpl.newSPObject (SPObjectFactoryImpl. java:21
0)
at org.mulgara.resolver.StringPoolSession.localize (StringPoolSession. java:410)
45 more
History

#1 - 07/17/2008 05:24 PM - Paula Gearon

- Status changed from New to Closed

- Resolution set to fixed

#2 - 07/17/2008 11:16 PM - ronald -
Was fixed in r1088
https://code.mulgara.org/projects/mulgara/repository/3/revisions/1088
http://www.tcpdf.org

